Bug 1025294 - [engine] Allocated size not calculated correctly for storage domains
[engine] Allocated size not calculated correctly for storage domains
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
Unspecified Unspecified
unspecified Severity medium
: ---
: 3.3.0
Assigned To: Tal Nisan
Gadi Ickowicz
: Triaged
Depends On:
Blocks: 3.3snap3
  Show dependency treegraph
Reported: 2013-10-31 08:13 EDT by Gadi Ickowicz
Modified: 2016-02-10 15:22 EST (History)
12 users (show)

See Also:
Fixed In Version: is24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-11-21 02:11:14 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
engine log (161.59 KB, application/gzip)
2013-10-31 08:13 EDT, Gadi Ickowicz
no flags Details

External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 20930 None None None Never
oVirt gerrit 21325 None None None Never

  None (edit)
Description Gadi Ickowicz 2013-10-31 08:13:07 EDT
Created attachment 817858 [details]
engine log

Description of problem:
The details for a storage domain include total size, free size, used size, and allocated size. The allocated size is supposed to be a sum of the virtual sizes of all the disks on the storage domain (both preallocated and thin-provision). Currently the allocated size shows the sum of the sizes of the thin provision disks' virtual sizes that have not yet been used. For example:

Creating a 150 GB thin-provision disk on iscsi SD will actually use 1GB, and the allocated size will increase by 149GB, and the used size will increase by 1GB.

Preallocated disks are not calculated at all in this column

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Create iscsi DC with 1 storage domain and 1 host
2. Create a thin-provision disk of 150GB
3. Create a preallocated disk of 7GB

Actual results:
Storage details of the domain show allocated size: 149GB 

Expected results:
Allocated size should be 157GB (total size disks allocated)

Additional info:

Note You need to log in before you can comment on or make changes to this bug.